summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorChris Wilson <chris@chris-wilson.co.uk>2010-12-02 23:36:21 +0000
committerChris Wilson <chris@chris-wilson.co.uk>2010-12-02 23:50:36 +0000
commitb9e68670cc3a13166b389ce847af19b0d0d33c67 (patch)
treebb79d91266490fa5bfe77cfef53ead8a1f7a62f6 /scripts
parent60de2ba51eaba9eefcc355cb20c8582b1481e755 (diff)
parent5bddd17fec58f253cddd0bc9eab2cd9eb1bbab4a (diff)
Merge branch 'drm-intel-fixes' into drm-intel-next
Conflicts: drivers/gpu/drm/i915/intel_drv.h
Diffstat (limited to 'scripts')
-rw-r--r--scripts/gfp-translate7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/gfp-translate b/scripts/gfp-translate
index d81b968d864e..c9230e158a8f 100644
--- a/scripts/gfp-translate
+++ b/scripts/gfp-translate
@@ -63,7 +63,12 @@ fi
# Extract GFP flags from the kernel source
TMPFILE=`mktemp -t gfptranslate-XXXXXX` || exit 1
-grep "^#define __GFP" $SOURCE/include/linux/gfp.h | sed -e 's/(__force gfp_t)//' | sed -e 's/u)/)/' | grep -v GFP_BITS | sed -e 's/)\//) \//' > $TMPFILE
+grep -q ___GFP $SOURCE/include/linux/gfp.h
+if [ $? -eq 0 ]; then
+ grep "^#define ___GFP" $SOURCE/include/linux/gfp.h | sed -e 's/u$//' | grep -v GFP_BITS > $TMPFILE
+else
+ grep "^#define __GFP" $SOURCE/include/linux/gfp.h | sed -e 's/(__force gfp_t)//' | sed -e 's/u)/)/' | grep -v GFP_BITS | sed -e 's/)\//) \//' > $TMPFILE
+fi
# Parse the flags
IFS="